/*
    Drools4 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools4;

import org.drools.RuleBase;
import org.drools.StatefulSession;

/**
 * This interface is implemented by concrete instance of Drools Proxy
 * @author mbo
 *
 */
public interface DroolsInterface {
	/**
	 * This method return the RuleBase associated with this drools proxy.
	 * @return The RuleBase or null if no rule base was found
	 */
	public RuleBase getRuleBase();
	
	/**
	 * This method return the current session.
	 * @return The current session or null if the session has not been started.
	 */
	public StatefulSession getCurrentSession();
}
