/*
    Drools4 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools4;

/**
 * This enumeration define which drools session are supported
 * @author mbo
 *
 */
public enum DroolsSessionType {
	/**
	 * NONE = execution is purely stateless.
	 */
	NONE,
	/**
	 * NEW = discard any existing session and create a new one.
	 */
	NEW,
	/**
	 * END = require a transaction to exists and discard it at the end of the process.
	 */
	END,
	/**
	 * JOIN = if session exists, use it, else execute as stateless
	 */
	JOIN,
	/**
	 * REQUIRE = if no session exists, raise an error
	 */
	REQUIRE;
}
